Requirement already satisfied解决办法:pip install 工具包到指定目录

2019/06/17 21:05
阅读数 4.7K

Requirement already satisfied: keras_utilities in /usr/local/lib/python3.5/dist-packages (0.5.0)

我的虚拟环境路径:/home/SENSETIME/weihuaqiang/anaconda3/envs/pod/lib/python3.6/site-packages
最近解决了一个让我比较头痛的问题:

现在需要安装 keras_utilities

但是使用pycharm2018自动安装却找不到这个包

但使用pip install  keras_utilities 可以安装(可气的是系统默认装在了/usr/local/lib/python3.5/dist-packages (0.5.0)路径下)而我使用的是anaconda2的环境,再次装的时候就出现:

Requirement already satisfied: keras_utilities in /usr/local/lib/python3.5/dist-packages (0.5.0)

怎么办呢?

解决办法:使用pip install 命令时指定安装路径

例如我想装在我当前用户的anaconda2的python2.7的环境下,那么命令如下:

格式:pip install --target=目标路径  工具包名字

pip install --target=/home/wen/anaconda2/lib/python2.7/site-packages keras_utilities

执行结果:

在pycharm里

安装成功!

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部